geos::operation::intersection Namespace Reference

Provides classes for computing the intersection of a Geometry and a clipping Rectangle. More...

## Classes

class | Rectangle
| Clipping rectangle. More...
class | RectangleIntersection
| Speed-optimized clipping of a Geometry with a rectangle. More...
class | RectangleIntersectionBuilder
| Rebuild geometries from subpaths left by clipping with a rectangle. More...

## Detailed Description

Provides classes for computing the intersection of a Geometry and a clipping Rectangle.